
Redmine - Defect #949

Style not applied to wiki image

2008-03-28 23:06 - Wes Billman

Status: Closed Start date: 2008-03-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Wiki images should resize.

Often I add large screen shots to wiki pages and it would be great to be able to specify a size (either globally or per image) of a

thumbnail.  So that inline wiki images would not fill the full wiki page.

Forgive me if this is a duplicate, I did a quick search but didn't find anything.

Related issues:

Related to Redmine - Feature #2416: {background:color} doesn't work in text f... Closed 2008-12-30

Has duplicate Redmine - Feature #4453: Fully implement Textile Closed 2009-12-20

Has duplicate Redmine - Defect #7395: Attached images don't resize Closed 2011-01-21

History

#1 - 2008-05-14 14:40 - Rachel Majchrzak

+1

#2 - 2008-05-21 02:19 - Chris Pitzer

Agreed.  Something like...

!image.png!

 ...displays a normal image, and...

!size(width,300,image.png)!

 ...displays an image at 300px width.  And by default clicking a resized image should link to the full sized image.  (the resize could just be the normal

image with width="300" on the html tag, or it could be resized server side... but the syntax remains the same.)

As I put all my design notes up on the wiki, having thumbnail capacity would be really really helpful for me.  Waiting for a half dozen images to load all

the time sucks.

#3 - 2008-06-02 04:29 - dop in

+1

#4 - 2008-07-03 17:38 - Marcello Henrique

+1

#5 - 2008-07-03 17:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

The syntax is:

!{width:300px}image.png!

 I'll add it to the doc.

#6 - 2009-01-15 08:57 - Anh Kỳ Huỳnh
- Status changed from Closed to Reopened

My site is using Redmine 080. The parameter {width:...} doesnot work anymore.

#7 - 2009-01-27 15:05 - Alexey Lustin

Kỳ Anh Huỳnh wrote:

My site is using Redmine 080. The parameter {width:...} doesnot work anymore.

 +1

in my testing portal work on Redmine trunk version width does't work too

i have tried to set the width of atached image and to image with url - same result - does't render

#8 - 2009-02-13 11:02 - Martin Eckhardt

+1

Same at my company. A user tried to resize an image without success. We tried both url + attachment. Its rather annoying to resize it by hand.

#9 - 2009-02-26 10:25 - Jérémie Delaitre

I'm using redmine trunk and it does not work too...

#10 - 2009-03-02 12:58 - Nicklas Holm

Not for me either...

#11 - 2009-05-26 09:58 - Franc Marx

after update to Redmine 0.8.0 picture resize doesn't mork anymore

"!{width:300px}picture.jpg!"

#12 - 2009-06-18 06:11 - Andy Wiltshire

Franc Marx wrote:

after update to Redmine 0.8.0 picture resize doesn't mork anymore

[...]

 Agreed. We really need to be able to resize images. How hard is it to integrate some sort of autothumbnail or resizer? Formatting of posts/messages

is lacking a bit for what we want to do.

#13 - 2009-07-09 23:34 - Cyber Sprocket

+1

!{width:300px}image.png! does not work on latest production release Redmine 0.8.4.stable.2769 (MySQL)

#14 - 2009-07-10 09:17 - Andrew Chaika

Franc Marx wrote:

after update to Redmine 0.8.0 picture resize doesn't mork anymore

 Just comment (or remove) in wiki_formatting\textile\formatter.rb line:

self.filter_styles=true

#15 - 2009-07-11 00:52 - Mischa The Evil

Andrew Chaika wrote:

Franc Marx wrote:

after update to Redmine 0.8.0 picture resize doesn't mork anymore
 Just comment (or remove) in wiki_formatting\textile\formatter.rb line:

[...]

 Be aware that this "hack" can make Redmine vulnerable to XSS-attacks. See #2416 for the whole story.

HTH...

#16 - 2009-11-20 03:50 - Michael Koch

+1 on adding the ability to resize images. we have had a lot of people complain about this. will it be fixed? ever? or is the security issue to relevant?

#17 - 2009-11-22 14:37 - Mischa The Evil

- Resolution deleted (Fixed)

#18 - 2009-11-24 17:22 - Antti Kaijanmäki

+1, anyone working on this?

#19 - 2009-12-20 16:13 - Jean-Philippe Lang

- Subject changed from Wiki Image Resizing to Resizing attached image

- Category changed from Wiki to Attachments

#20 - 2010-01-27 18:31 - Tiago Alves

+1

While this isn't solved I added this CSS snippet to our theme's application.css stylesheet:

#content .wiki img {

   max-width: 98%;

}

 This resizes images that are larger than the wiki page itself.

#21 - 2010-03-08 08:39 - Enterux Solutions

+1

Any updates to this issue. I've redmine 0.9.2 Setup. Does every thing i want. Needs this feature to make wiki pages look good. Should be like we get

to see the full size image when clicked on the resized image.

#22 - 2010-03-08 19:33 - Kamil .

Maybe image should automatically fit to wiki page size?

#23 - 2010-03-19 15:50 - Jason Mitchell

+1

Extremely annoying.  Any hope of correcting this or is the intent to use the plugin described in #3510?

#24 - 2010-08-17 02:33 - Rocco Stanzione

The behavior appears (from code and comments) to be a security feature intended to help protect public sites.  You can change it back to the old

behavior by commenting out this line:

self.filter_styles=true

in the initialize method of Redmine::WikiFormatting::Textile::Formatter in lib/redmine/wiki_formatting/textile/formatter.rb

#25 - 2010-08-29 23:11 - jon hertzig

If you're willing to change the "self.filter_styles=true" line in wiki_formatting\textile\formatter.rb  (and allow the XSS vulnerability), you can dummy a

thumbnail by  " &amp;lt;image.png&amp;gt; ":<URL for attachment>

#26 - 2010-08-29 23:13 - jon hertzig

jon hertzig wrote:

If you're willing to change the "self.filter_styles=true" line in wiki_formatting\textile\formatter.rb  (and allow the XSS vulnerability), you can dummy

a thumbnail by  " &amp;lt;image.png&amp;gt; ":<URL for attachment>
 (should be:)

" !{width:200px}<image.png>!":<URL for attachment>

#27 - 2010-09-03 17:47 - James Rowe

+1

is there a suggested donation to commence work on this feature?

This is a huge annoyance for us. We don't want to lose resolution on screen captures, but want to include them in the wiki.

Request tracker (other system that we plan on moving away from) will take the attached image and fit it nicely within the comment; a la maxwidth:98%

kind of css.

#28 - 2010-11-24 19:06 - Zbynek Drlik

+1

#29 - 2010-12-14 14:01 - egor sh

+1

#30 - 2010-12-16 10:12 - Ian DeFazio

+1

#31 - 2011-01-03 13:03 - Paul Heyer

+1

#32 - 2011-01-07 21:39 - Krzysztof Justyński

+1

#33 - 2011-01-08 02:00 - Terence Mill

+1

#34 - 2011-01-26 13:23 - Lu Pon

+1

#35 - 2011-02-08 16:32 - Frederic Servant

+1

#36 - 2011-02-12 07:39 - thihy thihy

+1

#37 - 2011-02-23 08:18 - Josh Davidson

Can't believe this obvious issue is three years old...+1

#38 - 2011-04-08 09:18 - Anonymous

Thanks, it works very well.

Patrice

Tiago Alves wrote:

+1

While this isn't solved I added this CSS snippet to our theme's application.css stylesheet:

[...]

This resizes images that are larger than the wiki page itself.

#39 - 2011-05-04 13:10 - Dominic Clifton

+1
Can a Redmine maintainer please schedule this for inclusion in an upcoming or future release so that we all know when to look out for this

much-requested feature.

We're currently using Redmine 1.1.2.stable.5026

#40 - 2011-05-12 23:52 - Andrew Levshoff

+1

This is a "must have" feature for wiki syntax.

#41 - 2011-05-13 21:38 - Terence Mill

+1

#42 - 2011-05-15 01:50 - Roman Gaufman

+1

#43 - 2011-07-20 23:56 - Cornell Wright

+1

Is this ever going to be fixed??

#44 - 2011-07-24 22:42 - Anonymous

+1

#45 - 2011-07-27 13:09 - Joe Kandaba

+1 This should be one line of code right ?

#46 - 2011-07-28 12:25 - Christian Köwing

+1

Incredible that such a simple function is not yet implemented.

#47 - 2011-07-28 16:23 - Not Needed

+1, common guys, such a great tool missing a basic feature like this is just wrong.

#48 - 2011-07-29 09:49 - Eric Voisard

+1

#49 - 2011-08-04 00:58 - Fabio Sousa

worrying! With all due respect, but makes us think about the future of the project

#50 - 2011-08-04 16:09 - Pavel Konstantinov

+1. It should be easy.

#51 - 2011-08-08 22:41 - rafael mello

+1

#52 - 2011-08-09 22:34 - Cassiano Monteiro

+1!

I´m impressed it´s not even on the roadmap...

#53 - 2011-08-18 11:20 - Oli Kessler

+1

The CSS fix is perfect, in the meantime..

#54 - 2011-10-10 11:56 - Axel Pospischil

Oli Kessler wrote:

+1

The CSS fix is perfect, in the meantime..
 dito

Hi there, any news about this?

Really like to impress my managers using this tool, but presenting my class diagrams this way ... ;(

Took me over an hour to find out, that it is not my fault ;)

#55 - 2011-10-10 11:59 - Etienne Massip

- Target version set to Candidate for next minor release

#56 - 2011-10-10 12:00 - Etienne Massip

- Tracker changed from Feature to Defect

#57 - 2011-10-10 12:00 - Etienne Massip

- Subject changed from Resizing attached image to Style not applied to wiki image

#58 - 2011-10-27 19:18 - Etienne Massip

- Status changed from Reopened to Closed

- Resolution set to Wont fix

Rocco Stanzione wrote:

The behavior appears (from code and comments) to be a security feature intended to help protect public sites.

 Indeed, it appears with r2192 which fixed security issue #2377 together with r2170, concerning possibility to inject JS in page code.

I close this one sine it's not a defect in favor of #1006.

#59 - 2011-10-27 19:18 - Etienne Massip

- Target version deleted (Candidate for next minor release)

#60 - 2012-02-14 07:41 - Etienne Massip

BTW, width and height styles are allowed again, see #2416.

#61 - 2012-02-28 15:43 - Gary Ritchie

Etienne Massip wrote:

BTW, width and height styles are allowed again, see #2416.

 Not working for images. Appears to be only for text formatting in r8860.

#62 - 2012-06-25 22:14 - rm user

lol, 4 years and closed without a fix!!

what a shame...

I've used http://www.redmine.org/plugins/redmine_lightbox very nice plugin for attachments on the issues, but it doesn't work for images posted in the

redmine..

Any idea how to make a plugin which will parse ALL images pasted into redmine and make them work as the lightbox plugin? (i.e. images posted in

one comment to work like lightbox on attachments).

simple testcase:

 Zb9j0.jpg 

as you can see it kills the page completely! really need a solution urgently..

#63 - 2012-06-25 22:15 - rm user

- Status changed from Closed to Reopened

#64 - 2012-06-26 00:02 - Jean-Philippe Lang

- Status changed from Reopened to Closed
You can now use inline styles:

!{width:400px}http://i.imgur.com/Zb9j0.jpg!

 Displays:

 Zb9j0.jpg 

#65 - 2012-06-26 00:53 - rm user

- Status changed from Closed to Reopened

Sorry, but it's really not comfort at all :( How can I get full-size picture? I need to add additional link etc.. Whilst I just want to add an image and click

on it to get it full-size.

I'd strongly suggest auto-resizing images automatically via JavaScript.

So when you click on the image you get it in the full-size in a window while other elements on the pages are hidden. After clicking again you get back.

I have very low skill in JS and I don't know what actually redmine uses in terms of JS, but I just did some JS hacking in my theme to get it working

exactly like that!

I will share my work bit later when cleanup it a bit. Really need this to be integrated into the redmine.

Also displaying attachments as thumbnails with lightbox would be a very good feature and would bring redmine to the next level of SCM.

#66 - 2012-06-26 01:47 - rm user

- File image_resize_classic_redmine_theme.diff added

So, here is the patch for classic Redmine 1.3 theme (I'm not sure if it was changed in recent editions):

http://pastebin.com/YnneMifB

For default redmine theme the algorythm of patching is the same

JS code goes into javascripts/theme.js and CSS code into stylesheets/application.css.

It's a bit hacky solution because it replaces all <img> tags without onclick action defined and resizes all wiki images automatically to 500px, on click

you get a full-size image.

I'm not an expert of JavaScript or Ruby so can't really say how to apply this onclick event to only wiki/issue images.

Also attached it in case pastebin fails.

#67 - 2012-06-27 00:07 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Please don't reopen this issue that was about being able to apply inline styles.

Have a look at #1006 instead.

#68 - 2012-06-27 10:35 - rm user

Jean-Philippe Lang wrote:

Please don't reopen this issue that was about being able to apply inline styles.

Have a look at #1006 instead.

 I understand what you're saying, but it's a bit different issue, because it's about attachment whilst this issue is about images posted into any message

body (i.e. in forums/wiki/issues).

Anyways I see nobody seems to care about this much, so I just resolved this with dirty workaround.

#69 - 2012-08-29 18:56 - Chris Wilson

I don't want thumbnails, which is what #1006 is about.

I want sensibly sized images, with borders, in my pages. I want to be able to apply arbitrary styles to images, as supported by Textile.

This is on a private site, so I don't care about XSS. I would at least like an option to disable the filtering, so that we have the full power of Textile.

Please, please reopen this issue.
#70 - 2015-09-09 18:49 - Alex Dergachev

For anyone who stumbles across this old issue, if you want "sensibly sized images, with borders", with clicking to see full-size, check out this mini

plugin we've been using for years. https://github.com/evolvingweb/redmine_thumbnail_embed

#71 - 2015-09-09 22:00 - rm user

Alex Dergachev wrote:

For anyone who stumbles across this old issue, if you want "sensibly sized images, with borders", with clicking to see full-size, check out this

mini plugin we've been using for years. https://github.com/evolvingweb/redmine_thumbnail_embed

 as far as i understood it's just a plugin to make thumbnails of images via special tag 

{{thumbnail}}

or so    

so it means i need to edit all previously linked images to display them properly on pages.

instead just apply my solution (patch redmine's theme) so on any page images will be automatically resized and give you full size image if you click on

the image.

Files

image_resize_classic_redmine_theme.diff 3.49 KB 2012-06-25 rm user
